@import '../../variables.scss';

.main-wrapper {
    display: flex;
    padding: 1rem;

    @media screen and (max-width:991px) {
        padding: 0;
    }

    .dummylight-dark {
        position: absolute;
        top: 20px;
        right: 20px;
        width: 30px;
        height: 30px;
        cursor: pointer;
        border: 0;
        background: none;
        z-index: 0;
    }
}

.right-wrapper {
    padding: 20px 60px;
    width: 100%;

    @media screen and (max-width:991px) {
        padding: 10px 20px;
    }

    .main-title {
        font-size: 1.4rem;
        font-weight: 500;
        margin-bottom: 10px;
        display: flex;
        align-items: center;
        justify-content: space-between;

        @media screen and (max-width:991px) {
            padding-left: 25px;
        }

        @media screen and (max-width:767px) {
            font-size: 1.1rem;
        }

        .main-btn {
            max-width: 180px;
            font-family: $font-primary;

            .icon {
                fill: $white-color;
                display: none;
            }

            @media screen and (max-width:767px) {
                font-size: 0;
                width: 40px;
                text-align: center;
                padding: 0 10px;
                margin-right: 45px;

                .icon {
                    display: block;
                }
            }
        }
    }

    table {
        border-collapse: separate;
        border-spacing: 0 8px;
        width: 100%;

        thead {
            tr {
                th {
                    background: #dfdfdf;
                    padding: 10px 15px;
                    text-align: left;
                    font-weight: 500;

                    &:first-child {
                        border-radius: 8px 0 0 8px;
                    }

                    &:last-child {
                        border-radius: 0 8px 8px 0;
                    }

                    .dark & {
                        background: darken($dark-color, 4);
                    }
                }
            }
        }

        tbody {
            tr {
                td {
                    background: #eeeeee;
                    padding: 10px 15px;

                    &:first-child {
                        border-radius: 8px 0 0 8px;
                    }

                    &:last-child {
                        border-radius: 0 8px 8px 0;
                    }

                    .dark & {
                        background: darken($dark-color, 2.5);
                    }

                    .icon {
                        .dark & {
                            fill: $white-color;
                        }
                    }
                }
            }
        }
    }
}

.dummychat-tour {
    position: fixed;
    width: 50px;
    height: 50px;
    border-radius: 40px;
    right: 30px;
    bottom: 30px;
    z-index: -1;
}

.create-form {
    margin-top: 1.5rem;

    .ant-form-item {
        margin-bottom: 18px;

        label {
            font-size: 15px;

            .dark & {
                color: $white-color;
            }
        }

        .ant-input {
            font-family: $font-primary;
            font-weight: 300;

            .dark & {
                &::placeholder {
                    color: $white-color;
                }

                &::-webkit-placeholder {
                    color: $white-color;
                }

                &::-moz-placeholder {
                    color: $white-color;
                }
            }

            .dark & {
                background: none;
                border-color: rgba($white-color, 0.5);
                color: $white-color;
            }
        }
    }

    .ant-btn {
        min-width: 160px;
        margin-top: 1rem;
        font-family: $font-primary;
    }
}

.success-modal {
    .ant-modal-body {
        text-align: center;

        h3 {
            font-family: $font-primary;
            color: $primary-color;
        }

        div[aria-label="animation"] {
            max-width: 100% !important;
            max-height: 300px !important;
        }
    }
}